petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOApplicationToPetsc

Maps a set of integers in the application-defined ordering to the PETSc ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOApplicationToPetsc(AO ao,PetscInt n,PetscInt ia[])

Collective on AO Many br

### Input Parameters

| ao | - the application ordering context Many br
| n | - the number of integers Many br
| ia | - the integers; these are replaced with their mapped value Many br

### Output Parameter

ia -the mapped integers Many br

Many br

### Note

Any integers in ia[] that are negative are left unchanged. This Many brallows one to convert, for example, neighbor lists that use negative Many brentries to indicate nonexistent neighbors due to boundary conditions, etc. Many br

Integers that are out of range are mapped to -1 Many br

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(), AOPetscToApplication(),
AOPetscToApplicationIS(), AOApplicationToPetsc() Many br

Level:beginner
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages